System.Design 2.0.0.0 System.Object

Typically, resources separate code from content within an application. Creating and consuming these resources makes it easier to develop localizable applications. In the .NET Framework, resources are usually consumed by using the class, which contains methods that provide access to culture-specific resources at run time. For more information about creating and consuming resources, see Resources in Applications.

Strongly typed resource support is a compile-time feature that encapsulates access to resources by creating classes that contain a set of static, read-only (get) properties. This provides an alternative way to consume resources instead of calling the and methods.

The basic functionality for strongly typed resource support is provided by the class (as well as the /str command-line option in the Resource File Generator (Resgen.exe)). The output of the method is a class that contains strongly typed properties that match the resources that are referenced in the input parameter. This class provides read-only access to the resources that are available in the file processed.

Provides support for strongly typed resources. This class cannot be inherited.

- Method
  2.0.0.0
  System.CodeDom.CodeCompileUnit `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.CodeDom.CodeCompileUnit `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.CodeDom.CodeCompileUnit `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.CodeDom.CodeCompileUnit `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.String `` ``

  If the parameter is a valid string of characters, that string is returned. If the parameter is an invalid string or a string that contains invalid characters, the method attempts to generate a valid string based on the and parameters. If a valid string can be generated, that string is returned; otherwise, null is returned.

  If the parameter is an empty string (""), a string that consists of a single underscore character (_) is returned. If the parameter is not an empty string, the method compares each character in the string to a set of invalid tokens based on the language specified by the parameter. Any invalid character in the string is replaced with an underscore character. The characters that will be replaced with an underscore are as follows:

  ' ' (space), U+00A0 (non-breaking space), '.' (period), ',' (comma), ';' (semicolon), '|', '~', '@', '#', '%', '^', '&', '*', '+', '-', '/', '\', '<', '>', '?', '[', ']', '(', ')', '{', '}', '"' (quote), ''' (apostrophe), ':', and '!'.

  Strongly typed resources do not allow the use of language keywords (such as if, for, and so on) as resource key names. However, the design pattern allows the use of language keywords by prefixing the keyword with the underscore character. The method calls the method to enforce this design. For example, if you use a resource name that is the same as a language keyword, such as for, the name appears as _for in the generated strongly typed resource class.

  Generates a valid resource string based on the specified input string and code provider.

  A valid resource name derived from the parameter. Any invalid tokens are replaced with the underscore (_) character, or null if the derived string still contains invalid characters according to the language specified by the parameter.

  The string to verify and, if necessary, convert to a valid resource name. A object that specifies the target language to use.